import request from '@/utils/request'


//视频列表
export function videoMonitoringDeviceList(params) {
    return request({
        url: '/device/videoMonitoringDeviceList',
        method: 'GET',
        params,
    })
}

export function correspondDeviceAdd(params) {
    return request({
        url: '/device/correspondDeviceAdd',
        method: 'POST',
        data: params,
    })
}

export function correspondDeviceUpdate(params) {
    return request({
        url: '/device/correspondDeviceUpdate',
        method: 'POST',
        data: params,
    })
}

export function correspondDeviceDel(params) {
    return request({
        url: '/device/correspondDeviceDel',
        method: 'GET',
        params,
    })
}

//站点管理-摄像头-导出
export function deviceExport(params) {
    return request({
        url: '/device/deviceExport',
        method: 'GET',
        params,
    })
}